<?php
$tdatateams = array();
$tdatateams[".searchableFields"] = array();
$tdatateams[".ShortName"] = "teams";
$tdatateams[".OwnerID"] = "";
$tdatateams[".OriginalTable"] = "teams";


$tdatateams[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatateams[".originalPagesByType"] = $tdatateams[".pagesByType"];
$tdatateams[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatateams[".originalPages"] = $tdatateams[".pages"];
$tdatateams[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatateams[".originalDefaultPages"] = $tdatateams[".defaultPages"];

//	field labels
$fieldLabelsteams = array();
$fieldToolTipsteams = array();
$pageTitlesteams = array();
$placeHoldersteams = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsteams["English"] = array();
	$fieldToolTipsteams["English"] = array();
	$placeHoldersteams["English"] = array();
	$pageTitlesteams["English"] = array();
	$fieldLabelsteams["English"]["teamID"] = "رقم";
	$fieldToolTipsteams["English"]["teamID"] = "";
	$placeHoldersteams["English"]["teamID"] = "";
	$fieldLabelsteams["English"]["teamName"] = "إسم الحزب";
	$fieldToolTipsteams["English"]["teamName"] = "";
	$placeHoldersteams["English"]["teamName"] = "";
	$pageTitlesteams["English"]["list"] = "الأحزاب";
	$pageTitlesteams["English"]["print"] = "الأحزاب";
	$pageTitlesteams["English"]["search"] = "الأحزاب - Advanced search";
	if (count($fieldToolTipsteams["English"]))
		$tdatateams[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsteams["Arabic"] = array();
	$fieldToolTipsteams["Arabic"] = array();
	$placeHoldersteams["Arabic"] = array();
	$pageTitlesteams["Arabic"] = array();
	$fieldLabelsteams["Arabic"]["teamID"] = "رقم";
	$fieldToolTipsteams["Arabic"]["teamID"] = "";
	$placeHoldersteams["Arabic"]["teamID"] = "";
	$fieldLabelsteams["Arabic"]["teamName"] = "إسم الحزب";
	$fieldToolTipsteams["Arabic"]["teamName"] = "";
	$placeHoldersteams["Arabic"]["teamName"] = "";
	$pageTitlesteams["Arabic"]["list"] = "الأحزاب";
	$pageTitlesteams["Arabic"]["print"] = "الأحزاب";
	$pageTitlesteams["Arabic"]["search"] = "الأحزاب - بحث متقدم";
	if (count($fieldToolTipsteams["Arabic"]))
		$tdatateams[".isUseToolTips"] = true;
}


	$tdatateams[".NCSearch"] = true;



$tdatateams[".shortTableName"] = "teams";
$tdatateams[".nSecOptions"] = 0;

$tdatateams[".mainTableOwnerID"] = "";
$tdatateams[".entityType"] = 0;
$tdatateams[".connId"] = "electiondb_at_ssl_localhost";


$tdatateams[".strOriginalTableName"] = "teams";

	



$tdatateams[".showAddInPopup"] = false;

$tdatateams[".showEditInPopup"] = false;

$tdatateams[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatateams[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatateams[".listAjax"] = false;
//	temporary
$tdatateams[".listAjax"] = false;

	$tdatateams[".audit"] = false;

	$tdatateams[".locking"] = false;


$pages = $tdatateams[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatateams[".edit"] = true;
	$tdatateams[".afterEditAction"] = 1;
	$tdatateams[".closePopupAfterEdit"] = 1;
	$tdatateams[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatateams[".add"] = true;
$tdatateams[".afterAddAction"] = 1;
$tdatateams[".closePopupAfterAdd"] = 1;
$tdatateams[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatateams[".list"] = true;
}



$tdatateams[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatateams[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatateams[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatateams[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatateams[".printFriendly"] = true;
}



$tdatateams[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatateams[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatateams[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatateams[".isUseAjaxSuggest"] = true;

$tdatateams[".rowHighlite"] = true;





$tdatateams[".ajaxCodeSnippetAdded"] = false;

$tdatateams[".buttonsAdded"] = false;

$tdatateams[".addPageEvents"] = false;

// use timepicker for search panel
$tdatateams[".isUseTimeForSearch"] = false;


$tdatateams[".badgeColor"] = "6493EA";


$tdatateams[".allSearchFields"] = array();
$tdatateams[".filterFields"] = array();
$tdatateams[".requiredSearchFields"] = array();

$tdatateams[".googleLikeFields"] = array();
$tdatateams[".googleLikeFields"][] = "teamID";
$tdatateams[".googleLikeFields"][] = "teamName";



$tdatateams[".tableType"] = "list";

$tdatateams[".printerPageOrientation"] = 0;
$tdatateams[".nPrinterPageScale"] = 100;

$tdatateams[".nPrinterSplitRecords"] = 40;

$tdatateams[".geocodingEnabled"] = false;










$tdatateams[".pageSize"] = 20;

$tdatateams[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatateams[".strOrderBy"] = $tstrOrderBy;

$tdatateams[".orderindexes"] = array();


$tdatateams[".sqlHead"] = "SELECT teamID,  	teamName";
$tdatateams[".sqlFrom"] = "FROM teams";
$tdatateams[".sqlWhereExpr"] = "";
$tdatateams[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatateams[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatateams[".arrGroupsPerPage"] = $arrGPP;

$tdatateams[".highlightSearchResults"] = true;

$tableKeysteams = array();
$tableKeysteams[] = "teamID";
$tdatateams[".Keys"] = $tableKeysteams;


$tdatateams[".hideMobileList"] = array();




//	teamID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "teamID";
	$fdata["GoodName"] = "teamID";
	$fdata["ownerTable"] = "teams";
	$fdata["Label"] = GetFieldLabel("teams","teamID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "teamID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "teamID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatateams["teamID"] = $fdata;
		$tdatateams[".searchableFields"][] = "teamID";
//	teamName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "teamName";
	$fdata["GoodName"] = "teamName";
	$fdata["ownerTable"] = "teams";
	$fdata["Label"] = GetFieldLabel("teams","teamName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "teamName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "teamName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatateams["teamName"] = $fdata;
		$tdatateams[".searchableFields"][] = "teamName";


$tables_data["teams"]=&$tdatateams;
$field_labels["teams"] = &$fieldLabelsteams;
$fieldToolTips["teams"] = &$fieldToolTipsteams;
$placeHolders["teams"] = &$placeHoldersteams;
$page_titles["teams"] = &$pageTitlesteams;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["teams"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["teams"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_teams()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "teamID,  	teamName";
$proto0["m_strFrom"] = "FROM teams";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "teamID",
	"m_strTable" => "teams",
	"m_srcTableName" => "teams"
));

$proto6["m_sql"] = "teamID";
$proto6["m_srcTableName"] = "teams";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "teamName",
	"m_strTable" => "teams",
	"m_srcTableName" => "teams"
));

$proto8["m_sql"] = "teamName";
$proto8["m_srcTableName"] = "teams";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "teams";
$proto11["m_srcTableName"] = "teams";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "teamID";
$proto11["m_columns"][] = "teamName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "teams";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "teams";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="teams";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_teams = createSqlQuery_teams();


	
		;

		

$tdatateams[".sqlquery"] = $queryData_teams;



$tableEvents["teams"] = new eventsBase;
$tdatateams[".hasEvents"] = false;

?>